Deliver a snapshot to Amazon S3, Azure Blob Storage or a Webhook
Archive API
Deliver snapshot to S3 or Azure Blob
Use the Bright Data Marketplace Archive API to deliver snapshot to S3 or Azure Blob. Manages web archive snapshots and returns job status as JSON.
POST
Deliver a snapshot to Amazon S3, Azure Blob Storage or a Webhook
Documentation Index
Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
Use this file to discover all available pages before exploring further.
To use S3 storage delivery, you will first need to do the following:
- Create an AWS role which gives Bright Data access to your system.
- During this setup, you will be asked by Amazon for an “external ID” that is used with the role.
- Your external ID for S3 is your Bright Data Account ID that can be found within Account Settings
- Once a role is created, you will need to allow the Bright Data delivery role to
AssumeRolethat role.- The Bright Data delivery role is:
arn:aws:iam::422310177405:role/brd.ec2.zs-dca-delivery
- The Bright Data delivery role is:
Common dump parameters:
search_id(required): The search ID from a completed searchmax_entries(optional): Limit the number of files to include in the dumpdelivery(required): Delivery configuration (S3, Azure, or webhook)
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07dfLearn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Body
application/json
Response
200 - application/json
Dump created successfully
ID of the created dump
Example:
"ucd_abc123-1234567890"